## org.w3c.jigsaw.webdav
Class MultiStatusException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.jigsaw.webdav.MultiStatusException

public class MultiStatusException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`MultiStatusException(org.w3c.dom.Document document)`
`MultiStatusException(java.lang.String url, java.lang.String status)`
`MultiStatusException(java.lang.String url, java.lang.String status, java.lang.String msg)`

Method Summary
`void` `addResponses(org.w3c.dom.Document doc, DAVMultiStatus dms)`
`org.w3c.dom.Document` `getDocument()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiStatusException

    public MultiStatusException(org.w3c.dom.Document document)

### MultiStatusException

    public MultiStatusException(java.lang.String url,
                                java.lang.String status,
                                java.lang.String msg)

### MultiStatusException

    public MultiStatusException(java.lang.String url,
                                java.lang.String status)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

### addResponses

    public void addResponses(org.w3c.dom.Document doc,
                             DAVMultiStatus dms)